# $Revision: 1.24 $, $Date: 2007-12-26 18:04:48 $
%define		mod_name	cband
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: bandwidth limits per vhosts
Summary(pl.UTF-8):	Moduł do Apache: limity pasma dla poszczególnych vhostów
Name:		apache-mod_%{mod_name}
Version:	0.9.7.5
Release:	2
License:	Apache
Group:		Networking/Daemons
Source0:	http://cband.linux.pl/download/mod-%{mod_name}-%{version}.tgz
# Source0-md5:	5c5d65dc9abe6cdc6931b6dd33be5018
Source1:	%{name}.conf
URL:		http://cband.linux.pl/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	crondaemon
Requires:	procps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
mod_cband is an Apache 2 module provided to solve the problem of
limiting users' and virtualhosts' bandwidth usage. When the configured
virtualhost's transfer limit is exceeded, mod_cband will redirect all
further requests to a location specified in the configuration file.

%description -l pl.UTF-8
mod_cband to moduł Apache'a 2 mający za zadanie ograniczanie zużycia
pasma przez użytkowników i hosty wirtualne. Gdy określony limit
zostanie przekroczony, mod_cband przekieruje wszelkie zapytania do
strony wskazanej w pliku konfiguracyjnym.

%prep
%setup -q -n mod-%{mod_name}-%{version}

%build
%configure \
	--with-apxs=%{apxs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

install src/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/97_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes INSTALL conf/*.example
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*mod_*.conf
%attr(755,root,root) %{apachelibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_cband.spec,v $
Revision 1.24  2007-12-26 18:04:48  glen
- use conf.d for apache config fragment; rel 2

Revision 1.23  2007-12-09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.22  2007-06-07 10:51:53  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.21  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.19  2006/11/18 16:35:00  adamg
- updated to 0.9.7.5

Revision 1.18  2006/09/06 10:08:03  glen
- rel 2

Revision 1.17  2006/05/29 13:10:50  spider
- up to 0.9.7.4

Revision 1.16  2006/04/30 08:55:14  adamg
- updated to 0.9.7.3

Revision 1.15  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.14  2006/02/03 09:16:59  paszczus
- updated to 0.9.7.2 ; STBR

Revision 1.13  2006/01/30 17:39:10  glen
- use %service

Revision 1.12  2006/01/26 15:51:12  paszczus
- updated to 0.9.7.0 (first stable release)
- release 1 ; STBR

Revision 1.11  2005/12/27 01:33:00  glen
- unified files

Revision 1.10  2005/12/26 19:16:45  glen
- unified

Revision 1.9  2005/12/21 23:26:26  glen
- rebuild with new apache
- kill pointless obsolete
- fix restart scriptlets
- rel 2

Revision 1.8  2005/12/08 18:24:25  dzeus
- up to 0.9.6.0

Revision 1.7  2005/11/03 18:24:01  paszczus
- updated to 0.9.5.3; STBR

Revision 1.6  2005/10/22 22:06:33  paszczus
- updated to 0.9.5.2

Revision 1.5  2005/10/13 20:14:07  paszczus
- updated to 0.9.5.1

Revision 1.4  2005/10/11 15:28:03  dzeus
- rel. 1 (works for me)

Revision 1.3  2005/10/10 19:23:10  dzeus
- up to 0.9.5, added more doc

Revision 1.2  2005/09/19 20:16:14  qboosh
- pl cosmetics

Revision 1.1  2005/09/10 18:52:38  adamg
- new, not tested yet
